## org.apache.xerces.xni.parser
Interface XMLDocumentFilter

All Superinterfaces:
  XMLDocumentHandler, XMLDocumentSource

    public interface XMLDocumentFilter

extends XMLDocumentHandler, XMLDocumentSource

Defines a document filter that acts as both a receiver and an emitter of document events.

Version:
  $Id: XMLDocumentFilter.java 447244 2006-09-18 05:20:40Z mrglavas $
Author:
  Andy Clark, IBM

Method Summary

Methods inherited from interface org.apache.xerces.xni.XMLDocumentHandler
`characters, comment, doctypeDecl, emptyElement, endCDATA, endDocument, endElement, endGeneralEntity, getDocumentSource, ignorableWhitespace, processingInstruction, setDocumentSource, startCDATA, startDocument, startElement, startGeneralEntity, textDecl, xmlDecl`

Methods inherited from interface org.apache.xerces.xni.parser.XMLDocumentSource
`getDocumentHandler, setDocumentHandler`

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.